Bug 5769 - ArrayIndexOutOfBoundsException is thrown during IDE initialization on JDK 1.2.2_05
ArrayIndexOutOfBoundsException is thrown during IDE initialization on JDK 1.2...
Status: CLOSED WONTFIX
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
Sun Solaris
: P1 (vote)
: TBD
Assigned To: issues@www
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-16 16:58 UTC by issues@www
Modified: 2008-12-23 11:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description issues@www 2000-02-16 16:58:06 UTC
[IAN, Feb/16] It looks like a JIT problem, not ours because:
1. it does not occur with java.compiler=NONE
2. in attachment there are 2 more exceptions, both in different parts of java classes which were definitely not changed from _04 to _05

[IAN, Feb/17] Reported to Kelly O`Hair from JDK release team, marked as documented

Original description:

Exception in thread "main" java.lang.ArrayIndexOutOfBoundsException: -27566080
        at java.awt.image.SinglePixelPackedSampleModel.<init>(Compiled Code)
        at java.awt.image.Raster.createPackedRaster(Compiled Code)
        at java.awt.image.Raster.createPackedRaster(Compiled Code)

        at java.awt.image.DirectColorModel.createCompatibleWritableRaster(Compiled Code)
        at sun.awt.motif.MComponentPeer.createImage(Compiled Code)
        at java.awt.Component.createImage(Compiled Code)
        at java.awt.Component.createImage(Compiled Code)
        at com.netbeans.developer.impl.Splash$SplashComponent.setText(Splash.java:127)
        at com.netbeans.developer.impl.Splash$SplashWindow.print(Splash.java:194)
        at com.netbeans.developer.impl.Main.setStatusText(Compiled Code)
        at com.netbeans.developer.impl.ModuleInstaller.initialize(Compiled Code)
        at com.netbeans.developer.impl.Main.main(Main.java:502)
        at com.netbeans.developer.Main.main(Main.java:25)
Comment 1 Marian Mirilovic 2002-01-10 15:25:16 UTC
It seems like works now, closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo